TechDraw 3PtAngleDimension: Difference between revisions

From FreeCAD Documentation
No edit summary
mNo edit summary
Line 38: Line 38:
# Press the {{Button|[[Image:TechDraw_3PtAngleDimension.svg|16px]] [[TechDraw_3PtAngleDimension|3-Point Angle Dimension]]}} button
# Press the {{Button|[[Image:TechDraw_3PtAngleDimension.svg|16px]] [[TechDraw_3PtAngleDimension|3-Point Angle Dimension]]}} button
# A dimension will be added to the View. The dimension may be dragged to the desired position.
# A dimension will be added to the View. The dimension may be dragged to the desired position.
# If needed, add tolerances as described in [[TechDraw_Geometric_dimensioning_and_tolerancing#Tolerances|this page]].
# If needed, add tolerances as described on [[TechDraw_Geometric_dimensioning_and_tolerancing#Tolerances|this page]].


<!--T:24-->
<!--T:24-->
To change the properties of a dimension object either double-clicking it in the drawing or in the [[Tree_view|Tree view]]. This will open the [[TechDraw_LengthDimension#Dimension_dialog|dimension dialog]].
To change the properties of a dimension object either double-click it in the drawing or in the [[Tree_view|Tree view]]. This will open the [[TechDraw_LengthDimension#Dimension_dialog|dimension dialog]].


== Limitations == <!--T:15-->
== Limitations == <!--T:15-->

Revision as of 18:04, 5 March 2023

TechDraw 3PtAngleDimension

Menu location
TechDraw → Insert 3-Point Angle Dimension
Workbenches
TechDraw
Default shortcut
None
Introduced in version
0.18
See also
TechDraw AngleDimension

Description

The 3-Point Angle Dimension tool adds a angular dimension to a View. The dimension may be specified by selecting three Vertices on a View. Note that the second of the three Vertices is the apex of the angle. The Angle3Pt will initially be the projected angle (ie as shown on the drawing), but this may be changed to the actual 3D distance using the TechDraw LinkDimension tool.

Measuring the angle between two straight lines using three vertices; the second vertex should be the apex of the angle

Usage

  1. Select the points or edge which define your measurement.
  2. Press the 3-Point Angle Dimension button
  3. A dimension will be added to the View. The dimension may be dragged to the desired position.
  4. If needed, add tolerances as described on this page.

To change the properties of a dimension object either double-click it in the drawing or in the Tree view. This will open the dimension dialog.

Limitations

Dimension objects are vulnerable to the "topological naming problem". See TechDraw LengthDimension for more information.

Properties

See TechDraw LengthDimension.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

The 3-Point Angle Dimension tool can be used in macros and from the Python console by using the following functions:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Angle3Pt"
dim1.References2D=[(view1, 'Vertex1',(view1, 'Vertex4'),(view1, 'Vertex2'))]
rc = page.addView(dim1)